/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;

/**
 *
 * @author omozegieaziegbe
 */
@RestController
public class MovieRAGController {

    @Autowired
    private MovieRagService movieService;

    @GetMapping("/ai/rag/movies")
    public Map chat(@RequestParam(name = "title") String title) {
        return Map.of("answer", movieService.retrieve(title));
    }

}
