/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg;

import org.springframework.ai.vectorstore.VectorStore;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.ai.embedding.EmbeddingModel;
import org.springframework.ai.vectorstore.SimpleVectorStore;

/**
 *
 * @author omozegieaziegbe
 */
@Configuration
public class AppConfig {
    
    @Bean
    VectorStore vectorStore(EmbeddingModel embeddingModel) {
        return new SimpleVectorStore(embeddingModel);
    }

//    @Bean
//    @Primary
//    TransformersEmbeddingModel transformersEmbeddingClient() {
//        return new TransformersEmbeddingModel(MetadataMode.EMBED);
//    }
//
//    @Bean
//    VectorStore vectorStore(TransformersEmbeddingModel embeddingClient, RedisVectorStoreProperties properties) {
//        var config = RedisVectorStoreConfig.builder().withURI(properties.getUri()).withIndexName(properties.getIndex())
//                .withPrefix(properties.getPrefix()).build();
//        RedisVectorStore vectorStore = new RedisVectorStore(config, embeddingClient, false);
//        vectorStore.afterPropertiesSet();
//        return vectorStore;
//    }

}
